FreeBSD : mupdf -- Remote System Access (53bde960-356b-11e0-8e81-0022190034c0)

Medium Nessus Plugin ID 53407


The remote FreeBSD host is missing a security-related update.


Secunia reports :

The vulnerability is caused due to an error within the 'closedctd()' function in fitz/filt_dctd.c when processing PDF files containing certain malformed JPEG images. This can be exploited to cause a stack corruption by e.g. tricking a user into opening a specially crafted PDF file.


Update the affected package.

See Also

Plugin Details

Severity: Medium

ID: 53407

File Name: freebsd_pkg_53bde960356b11e08e810022190034c0.nasl

Version: $Revision: 1.6 $

Type: local

Published: 2011/04/14

Modified: 2015/01/19

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 6.8

Temporal Score: 5.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:mupdf, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2011/02/10

Vulnerability Publication Date: 2011/01/26

Reference Information

BID: 46027

Secunia: 43020